Debian Bug report logs - #697320
changes to scripts/config.sh break configuration process

version graph

Package: src:live-config; Maintainer for src:live-config is Live Systems Maintainers <debian-live@lists.debian.org>;

Reported by: Алексей Шилин <rootlexx@mail.ru>

Date: Thu, 3 Jan 2013 21:36:01 UTC

Severity: important

Found in version live-config/3.0~a43-1

Fixed in versions live-config/3.0.17-1, live-config/4.0~a11-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697320; Package src:live-config. (Thu, 03 Jan 2013 21:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Алексей Шилин <rootlexx@mail.ru>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 03 Jan 2013 21:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Алексей Шилин <rootlexx@mail.ru>
To: submit@bugs.debian.org
Subject: changes to scripts/config.sh break configuration process
Date: Fri, 04 Jan 2013 01:33:59 +0400
Source: live-config
Version: 3.0~a43-1
Severity: important

Commit 3443d2116604ef0657bc158a7d7511c676aa2f7a [1] makes every configuration script run in a pipeline. Each command in a pipeline is executed in a subshell, so any change to a variable is not preserved. As a result, any script, which saves state in an exported variable, breaks.

For example, wheezy beta2 KDE live system [2] tries to run startx from tty1, though KDM is up and running. That's because *xinit configuration script is not aware, that *kdm script has already worked, and therefore assumes, that no display manager has been configured.

[1] http://live.debian.net/gitweb/?p=live-config.git;a=commit;h=3443d2116604ef0657bc158a7d7511c676aa2f7a
[2] http://live.debian.net/cdimage/release/current-next/i386/iso-hybrid/debian-wheezy-live-b2-i386-kde-desktop.iso

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697320; Package src:live-config. (Fri, 04 Jan 2013 08:45:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 04 Jan 2013 08:45:15 GMT) Full text and rfc822 format available.

Message #10 received at 697320@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Алексей Шилин <rootlexx@mail.ru>
Cc: 697320@bugs.debian.org
Subject: Re: Bug#697320: changes to scripts/config.sh break configuration process
Date: Fri, 04 Jan 2013 09:41:04 +0100
tag 697320 pending
thanks

On 01/03/2013 10:33 PM, Алексей Шилин wrote:
> Each command in a pipeline is executed in a subshell, so any change to a variable is not preserved.

indeed, thanks for spotting the reason, we've found the breakage a 
couple of days ago, but nobody had the time yet to pin it down. using a 
fifo instead (now in git) fixes this.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 04 Jan 2013 08:45:19 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 04 Jan 2013 09:21:08 GMT) Full text and rfc822 format available.

Notification sent to Алексей Шилин <rootlexx@mail.ru>:
Bug acknowledged by developer. (Fri, 04 Jan 2013 09:21:08 GMT) Full text and rfc822 format available.

Message #17 received at 697320-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 697320-close@bugs.debian.org
Subject: Bug#697320: fixed in live-config 3.0.17-1
Date: Fri, 04 Jan 2013 09:17:34 +0000
Source: live-config
Source-Version: 3.0.17-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697320@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Jan 2013 09:57:16 +0100
Source: live-config
Binary: live-config live-config-doc live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0.17-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Live System Configuration Scripts
 live-config-doc - Live System Configuration Scripts (documentation)
 live-config-systemd - Live System Configuration Scripts (systemd backend)
 live-config-sysvinit - Live System Configuration Scripts (sysvinit backend)
 live-config-upstart - Live System Configuration Scripts (upstart backend)
Closes: 697320
Changes: 
 live-config (3.0.17-1) unstable; urgency=low
 .
   * Updating manpage year handling for 2013.
   * Using fifo instead of pipe to catch logs from scripts (Closes:
     #697320).
Checksums-Sha1: 
 bbe1c0955a3f4fe959d23afb457c5222f41a0707 1547 live-config_3.0.17-1.dsc
 f13d1e4d242816daa135458f9969256ed2230020 64160 live-config_3.0.17.orig.tar.xz
 bd4a0a0ce90597a3fe3a0d989044b91d634a14c2 12736 live-config_3.0.17-1.debian.tar.xz
 0a296b4ac3cf45e221e1e342f02c402ad88e9e4c 25674 live-config_3.0.17-1_all.deb
 411fd6e7f96e3a86d787c3ed2ea8bf56d8c31ac9 49766 live-config-doc_3.0.17-1_all.deb
 baf855e52d4d79072d9748b749bc2a7c058f2f7a 13632 live-config-systemd_3.0.17-1_all.deb
 a3780d06a87b24656307fd573455bb056964e97d 14854 live-config-sysvinit_3.0.17-1_all.deb
 8fe05448cba73144dd16386893e7635d14e0938f 14492 live-config-upstart_3.0.17-1_all.deb
Checksums-Sha256: 
 bf77aa3cf5f3a9801333b3a1df8ae4b43f29cb994d9c8e84fc2db378d02754e8 1547 live-config_3.0.17-1.dsc
 177057436a868427d578825493c1357490841b5405818748e6343a01d869014d 64160 live-config_3.0.17.orig.tar.xz
 37fc6e11019d1f08c429bf660beb1737d34988a99c1434332466a6c5422bbd90 12736 live-config_3.0.17-1.debian.tar.xz
 70e4edc10006fd63b0b6ea480f9912616be305f807777912eafd6cfb5e4be20b 25674 live-config_3.0.17-1_all.deb
 f9edefff1d378c06b9f674f23f8199233da227f6409bc07ce73f9321d63af256 49766 live-config-doc_3.0.17-1_all.deb
 ad0242231bd8b6ff1b4dcc3666396127179431745e9cbc0c3323ff8f647c5620 13632 live-config-systemd_3.0.17-1_all.deb
 78b361fec13c1d504a36c2a7462962a6908065faa36f84c64dbcd35651c89424 14854 live-config-sysvinit_3.0.17-1_all.deb
 4f92489061f6d86f38f66d554c7b214fc51014681722afcaf852f4a5a3d8b644 14492 live-config-upstart_3.0.17-1_all.deb
Files: 
 9bf85b5444cc098fc11acc84fd66b030 1547 misc optional live-config_3.0.17-1.dsc
 49ffeb01106ce3849853e6e7ffc9998d 64160 misc optional live-config_3.0.17.orig.tar.xz
 2df0d6620875657932d436ada991e021 12736 misc optional live-config_3.0.17-1.debian.tar.xz
 23beed9025c19c5cfcc448abb9749d94 25674 misc optional live-config_3.0.17-1_all.deb
 8234804b734409ec044ddc1875516cfa 49766 doc optional live-config-doc_3.0.17-1_all.deb
 1169428c399ff7df41b9d9985a2548df 13632 misc optional live-config-systemd_3.0.17-1_all.deb
 65563305ad6f735ecddcd26c495bee0e 14854 misc optional live-config-sysvinit_3.0.17-1_all.deb
 606206539e15485df1897060e416f674 14492 misc optional live-config-upstart_3.0.17-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDmmnEACgkQ+C5cwEsrK54xlwCfcdvcwoE5lXGN71Ib7U23aoI/
5I4AnRUYhVpcobvp2Zps2bNoaJfDIGP2
=D4FR
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 04 Jan 2013 09:21:10 GMT) Full text and rfc822 format available.

Notification sent to Алексей Шилин <rootlexx@mail.ru>:
Bug acknowledged by developer. (Fri, 04 Jan 2013 09:21:10 GMT) Full text and rfc822 format available.

Message #22 received at 697320-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 697320-close@bugs.debian.org
Subject: Bug#697320: fixed in live-config 4.0~a11-1
Date: Fri, 04 Jan 2013 09:17:43 +0000
Source: live-config
Source-Version: 4.0~a11-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697320@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Jan 2013 10:02:53 +0100
Source: live-config
Binary: live-config live-config-doc live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 4.0~a11-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Live System Configuration Scripts
 live-config-doc - Live System Configuration Scripts (documentation)
 live-config-systemd - Live System Configuration Scripts (systemd backend)
 live-config-sysvinit - Live System Configuration Scripts (sysvinit backend)
 live-config-upstart - Live System Configuration Scripts (upstart backend)
Closes: 697320
Changes: 
 live-config (4.0~a11-1) experimental; urgency=low
 .
   * Updating manpage year handling for 2013.
   * Using fifo instead of pipe to catch logs from scripts (Closes:
     #697320).
   * Adding 3.0.17-1 changelog entries.
Checksums-Sha1: 
 dd94d86132e56626ba4294fab00f742e4d543523 1554 live-config_4.0~a11-1.dsc
 2cc7f7bd913289408f7d3a173b89ea56447827f1 63704 live-config_4.0~a11.orig.tar.xz
 e19004993e7b5248aa0e4fe30736e29511118afc 13108 live-config_4.0~a11-1.debian.tar.xz
 cf615a1b0d863f75097063b15a67e6ff2cdcccc9 26094 live-config_4.0~a11-1_all.deb
 9050a02ca1b25ad75c68f0b1c971ba46e397ef18 49958 live-config-doc_4.0~a11-1_all.deb
 01dfd71c7be24240e976628b977f04286d2d8592 14066 live-config-systemd_4.0~a11-1_all.deb
 ca0f5c90870bbc698dc1dc1ad60d92b8789eae96 15296 live-config-sysvinit_4.0~a11-1_all.deb
 a005d6bd42ddbf01088fbae1e45965cb48242131 14932 live-config-upstart_4.0~a11-1_all.deb
Checksums-Sha256: 
 7addfda80809f2283e5893b1b0ad7aedce244b5c08ae0ce2496036b37a71f346 1554 live-config_4.0~a11-1.dsc
 8b4d4c7d93896a5e909fe20b73211bd5a3be648532775920877f9ff382d1b77f 63704 live-config_4.0~a11.orig.tar.xz
 66fcb5f939e1987b9efb9044427f85586c56bbea8a403820589aec95a61345c1 13108 live-config_4.0~a11-1.debian.tar.xz
 a3d4e0a6ccd9897ae9691e168e5c000a74deb1bf850427ef1cafcd06cbb60c56 26094 live-config_4.0~a11-1_all.deb
 6172ff4ec580fce80d78f89e4cff24a6ccb4887b03e78d0c5943469ef3b72916 49958 live-config-doc_4.0~a11-1_all.deb
 eb87532704c5dcbe95b15ce660836e5ced2efab8c5cda8488551c85ff8e70cb5 14066 live-config-systemd_4.0~a11-1_all.deb
 bced36bbaccfa1becc6ea0e95f1818b80416b49bed662bffc3f1f366e4fa991c 15296 live-config-sysvinit_4.0~a11-1_all.deb
 1eaf53c53a76f06f2708be16762b429e51efa20bd23f152810ccbd69cc4b946c 14932 live-config-upstart_4.0~a11-1_all.deb
Files: 
 4f7332bf0fcb4745a6be1ac2d0504525 1554 misc optional live-config_4.0~a11-1.dsc
 22d0d6a92c3d65c62bc381544547da2b 63704 misc optional live-config_4.0~a11.orig.tar.xz
 52c67d64c919d91f1b972bf45df8e253 13108 misc optional live-config_4.0~a11-1.debian.tar.xz
 c5744d30422a9e48310a581d305f825b 26094 misc optional live-config_4.0~a11-1_all.deb
 a6e9cc20c70c3424154e30e8ddfca62c 49958 doc optional live-config-doc_4.0~a11-1_all.deb
 e21c9db5435798d038ae737547ce38ce 14066 misc optional live-config-systemd_4.0~a11-1_all.deb
 40efc849ddf3290614deeac22cba870c 15296 misc optional live-config-sysvinit_4.0~a11-1_all.deb
 ed4a0f5f29323a6b728f6c73e64c4894 14932 misc optional live-config-upstart_4.0~a11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDmmwsACgkQ+C5cwEsrK56OAQCgwu5HqKAAQyb8QbEZsJFJNGAr
cMYAoIsUieWT95rp3zX779yii5Z1MdDq
=grJ1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Mar 2013 07:26:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:56:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.